diff --git a/pkg/pip/setup_pip.py b/pkg/pip/setup_pip.py
index a330435..25a5ab0 100644
--- a/pkg/pip/setup_pip.py
+++ b/pkg/pip/setup_pip.py
@@ -86,9 +86,11 @@ setup(
 
     extras_require={
         # ...
-        ":python_version<'2.7'": ["ordereddict", "Flask-Script"],
+        ":python_version<'2.7'": [
+            "ordereddict", "Flask-Script", "psycopg2==2.7.3.2"
+        ],
         ":python_version<='2.7'": ["backports.csv", "importlib"],
-        ":python_version>='2.7'": ["Flask-HTMLmin"]
+        ":python_version>='2.7'": ["Flask-HTMLmin", "psycopg2>=2.7.3.2"]
     },
 
     # Specify data files to be included. For Python 2.6 include them in MANIFEST.in
diff --git a/requirements.txt b/requirements.txt
index 2e486f3..6f17b1e 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -27,7 +27,8 @@ MarkupSafe==0.23
 ordereddict; python_version < '2.7'
 passlib==1.6.2
 pbr==1.9.1
-psycopg2>=2.7.3.2
+psycopg2>=2.7.3.2; python_version >= '2.7'
+psycopg2==2.7.3.2; python_version < '2.7'
 pycrypto==2.6.1
 pyrsistent==0.11.13
 python-dateutil==2.5.0
